std::timed_mutex::timed_mutex(3)

NAME
std::timed_mutex::timed_mutex - std::timed_mutex::timed_mutex

Synopsis
   timed_mutex(); (1) (since C++11)
   timed_mutex( const timed_mutex& ) = delete; (2) (since C++11)
   1) Constructs the mutex. The mutex is in unlocked state after the call.
   2) Copy constructor is deleted.

Parameters
   (none)

Exceptions
   std::system_error if the construction is unsuccessful.

See also